# phpMyAdmin SQL Dump
# version 2.5.5-pl1
# http://www.phpmyadmin.net
#
# Host: localhost
# Generation Time: Mar 08, 2004 at 12:32 PM
# Server version: 3.23.58
# PHP Version: 4.2.2
# 
# Database : `groupoffice`
# 

# --------------------------------------------------------

#
# Table structure for table `ab_addressbooks`
#

DROP TABLE IF EXISTS `ab_addressbooks`;
CREATE TABLE `ab_addressbooks` (
  `id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  `acl_read` int(11) NOT NULL default '0',
  `acl_write` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `user_id` (`user_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `ab_companies`
#

DROP TABLE IF EXISTS `ab_companies`;
CREATE TABLE `ab_companies` (
  `id` int(11) NOT NULL default '0',
  `addressbook_id` int(11) NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  `address` varchar(100) NOT NULL default '',
  `zip` varchar(10) NOT NULL default '',
  `city` varchar(50) NOT NULL default '',
  `state` varchar(50) NOT NULL default '',
  `country` varchar(50) NOT NULL default '',
  `phone` varchar(20) NOT NULL default '',
  `fax` varchar(20) NOT NULL default '',
  `email` varchar(75) NOT NULL default '',
  `homepage` varchar(100) NOT NULL default '',
  `bank_no` varchar(20) NOT NULL default '',
  `vat_no` varchar(30) NOT NULL default '',
  `acl_read` int(11) NOT NULL default '0',
  `acl_write` int(11) NOT NULL default '0'
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `ab_contacts`
#

DROP TABLE IF EXISTS `ab_contacts`;
CREATE TABLE `ab_contacts` (
  `id` int(11) NOT NULL default '0',
  `addressbook_id` int(11) NOT NULL default '0',
  `source_id` int(11) NOT NULL default '0',
  `group_id` int(11) NOT NULL default '0',
  `first_name` varchar(50) NOT NULL default '',
  `middle_name` varchar(50) NOT NULL default '',
  `last_name` varchar(50) NOT NULL default '',
  `initials` varchar(10) NOT NULL default '',
  `title` varchar(10) NOT NULL default '',
  `sex` enum('M','F') NOT NULL default 'M',
  `birthday` date NOT NULL default '0000-00-00',
  `email` varchar(100) NOT NULL default '',
  `company_id` int(11) NOT NULL default '0',
  `department` varchar(50) NOT NULL default '',
  `function` varchar(50) NOT NULL default '',
  `home_phone` varchar(20) NOT NULL default '',
  `work_phone` varchar(20) NOT NULL default '',
  `fax` varchar(20) NOT NULL default '',
  `work_fax` varchar(20) NOT NULL default '',
  `cellular` varchar(20) NOT NULL default '',
  `country` varchar(50) NOT NULL default '',
  `state` varchar(50) NOT NULL default '',
  `city` varchar(50) NOT NULL default '',
  `zip` varchar(10) NOT NULL default '',
  `address` varchar(100) NOT NULL default '',
  `comment` varchar(50) NOT NULL default '',
  `color` varchar(6) NOT NULL default '',
  `acl_read` int(11) NOT NULL default '0',
  `acl_write` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `id` (`id`),
  KEY `user_id` (`addressbook_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `ab_custom_company_fields`
#

DROP TABLE IF EXISTS `ab_custom_company_fields`;
CREATE TABLE `ab_custom_company_fields` (
  `id` int(11) NOT NULL default '0',
  `Test` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `ab_custom_company_fields_sort`
#

DROP TABLE IF EXISTS `ab_custom_company_fields_sort`;
CREATE TABLE `ab_custom_company_fields_sort` (
  `field` varchar(50) NOT NULL default '',
  `size` tinyint(4) NOT NULL default '0',
  `sort_index` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`field`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `ab_custom_contact_fields`
#

DROP TABLE IF EXISTS `ab_custom_contact_fields`;
CREATE TABLE `ab_custom_contact_fields` (
  `id` int(11) NOT NULL default '0',
  `Testje contacts` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `ab_custom_contact_fields_sort`
#

DROP TABLE IF EXISTS `ab_custom_contact_fields_sort`;
CREATE TABLE `ab_custom_contact_fields_sort` (
  `field` varchar(50) NOT NULL default '',
  `size` tinyint(4) NOT NULL default '0',
  `sort_index` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`field`),
  KEY `sort_index` (`sort_index`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `ab_groups`
#

DROP TABLE IF EXISTS `ab_groups`;
CREATE TABLE `ab_groups` (
  `id` int(11) NOT NULL default '0',
  `addressbook_id` int(11) NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `id` (`id`),
  KEY `user_id` (`addressbook_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `ab_subscribed`
#

DROP TABLE IF EXISTS `ab_subscribed`;
CREATE TABLE `ab_subscribed` (
  `user_id` int(11) NOT NULL default '0',
  `addressbook_id` int(11) NOT NULL default '0',
  `standard` enum('0','1') NOT NULL default '0',
  KEY `user_id` (`user_id`,`addressbook_id`,`standard`),
  KEY `addressbook_id` (`addressbook_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `acl`
#

DROP TABLE IF EXISTS `acl`;
CREATE TABLE `acl` (
  `acl_id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `group_id` int(11) NOT NULL default '0',
  KEY `acl_id` (`acl_id`),
  KEY `user_id` (`user_id`),
  KEY `group_id` (`group_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `acl_items`
#

DROP TABLE IF EXISTS `acl_items`;
CREATE TABLE `acl_items` (
  `id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `description` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `bookmarks`
#

DROP TABLE IF EXISTS `bookmarks`;
CREATE TABLE `bookmarks` (
  `id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `URL` varchar(200) NOT NULL default '',
  `name` varchar(50) NOT NULL default '',
  `new_window` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `cal_calendars`
#

DROP TABLE IF EXISTS `cal_calendars`;
CREATE TABLE `cal_calendars` (
  `id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `acl_read` int(11) NOT NULL default '0',
  `acl_write` int(11) NOT NULL default '0',
  `name` varchar(100) NOT NULL default '',
  `start_hour` tinyint(4) NOT NULL default '0',
  `end_hour` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `cal_events`
#

DROP TABLE IF EXISTS `cal_events`;
CREATE TABLE `cal_events` (
  `id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `acl_read` int(11) NOT NULL default '0',
  `acl_write` int(11) NOT NULL default '0',
  `start_time` int(11) NOT NULL default '0',
  `end_time` int(11) NOT NULL default '0',
  `all_day_event` enum('0','1') NOT NULL default '0',
  `contact_id` int(11) NOT NULL default '0',
  `name` varchar(100) NOT NULL default '',
  `description` text NOT NULL,
  `location` varchar(100) NOT NULL default '',
  `background` varchar(7) NOT NULL default '',
  `repeat_type` enum('0','1','2','3','4','5') NOT NULL default '0',
  `repeat_forever` enum('0','1') NOT NULL default '0',
  `repeat_every` tinyint(4) NOT NULL default '0',
  `repeat_end_time` int(11) NOT NULL default '0',
  `mon` enum('0','1') NOT NULL default '0',
  `tue` enum('0','1') NOT NULL default '0',
  `wed` enum('0','1') NOT NULL default '0',
  `thu` enum('0','1') NOT NULL default '0',
  `fri` enum('0','1') NOT NULL default '0',
  `sat` enum('0','1') NOT NULL default '0',
  `sun` enum('0','1') NOT NULL default '0',
  `month_time` enum('0','1','2','3','4','5') NOT NULL default '0',
  `reminder` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `start_time` (`start_time`),
  KEY `end_time` (`end_time`),
  KEY `repeat_end_time` (`repeat_end_time`),
  KEY `acl_read` (`acl_read`),
  KEY `acl_write` (`acl_write`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `cal_events_calendars`
#

DROP TABLE IF EXISTS `cal_events_calendars`;
CREATE TABLE `cal_events_calendars` (
  `calendar_id` int(11) NOT NULL default '0',
  `event_id` int(11) NOT NULL default '0',
  KEY `calendar_id` (`calendar_id`,`event_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `cal_holidays`
#

DROP TABLE IF EXISTS `cal_holidays`;
CREATE TABLE `cal_holidays` (
  `id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `calendar_id` int(11) NOT NULL default '0',
  `date` int(10) NOT NULL default '0',
  `name` varchar(100) NOT NULL default '',
  `region` varchar(4) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `cal_participants`
#

DROP TABLE IF EXISTS `cal_participants`;
CREATE TABLE `cal_participants` (
  `id` int(11) NOT NULL default '0',
  `event_id` int(11) NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  `email` varchar(100) NOT NULL default '',
  `user_id` int(11) NOT NULL default '0',
  `status` enum('0','1','2') NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `cal_reminders`
#

DROP TABLE IF EXISTS `cal_reminders`;
CREATE TABLE `cal_reminders` (
  `user_id` int(11) NOT NULL default '0',
  `event_id` int(11) NOT NULL default '0',
  `remind_time` int(11) NOT NULL default '0',
  KEY `user_id` (`user_id`),
  KEY `event_id` (`event_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `cal_subscribed`
#

DROP TABLE IF EXISTS `cal_subscribed`;
CREATE TABLE `cal_subscribed` (
  `calendar_id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `standard` enum('0','1') NOT NULL default '0'
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `cms_files`
#

DROP TABLE IF EXISTS `cms_files`;
CREATE TABLE `cms_files` (
  `id` int(11) NOT NULL default '0',
  `folder_id` int(11) NOT NULL default '0',
  `extension` varchar(10) NOT NULL default '',
  `size` int(11) NOT NULL default '0',
  `mtime` int(11) NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  `content` longblob NOT NULL,
  `title` varchar(100) NOT NULL default '',
  `description` text NOT NULL,
  `keywords` text NOT NULL,
  `priority` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `cms_folders`
#

DROP TABLE IF EXISTS `cms_folders`;
CREATE TABLE `cms_folders` (
  `id` int(11) NOT NULL default '0',
  `parent_id` int(11) NOT NULL default '0',
  `mtime` int(11) NOT NULL default '0',
  `name` char(50) NOT NULL default '',
  `disabled` enum('0','1') NOT NULL default '0',
  `priority` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `id` (`id`),
  KEY `parent_id` (`parent_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `cms_search_files`
#

DROP TABLE IF EXISTS `cms_search_files`;
CREATE TABLE `cms_search_files` (
  `search_word_id` int(11) NOT NULL default '0',
  `file_id` int(11) NOT NULL default '0',
  KEY `file_id` (`file_id`),
  KEY `search_word_id` (`search_word_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `cms_search_words`
#

DROP TABLE IF EXISTS `cms_search_words`;
CREATE TABLE `cms_search_words` (
  `id` int(11) NOT NULL default '0',
  `site_id` int(11) NOT NULL default '0',
  `search_word` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `site_id` (`site_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `cms_sites`
#

DROP TABLE IF EXISTS `cms_sites`;
CREATE TABLE `cms_sites` (
  `id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `root_folder_id` int(11) NOT NULL default '0',
  `acl_write` int(11) NOT NULL default '0',
  `acl_read` int(11) NOT NULL default '0',
  `name` varchar(100) NOT NULL default '',
  `description` text NOT NULL,
  `keywords` text NOT NULL,
  `template_id` int(11) NOT NULL default '0',
  `publish_style` enum('0','1','2') NOT NULL default '0',
  `publish_path` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `cms_subscribed`
#

DROP TABLE IF EXISTS `cms_subscribed`;
CREATE TABLE `cms_subscribed` (
  `user_id` int(11) NOT NULL default '0',
  `site_id` int(11) NOT NULL default '0',
  KEY `user_id` (`user_id`),
  KEY `site_id` (`site_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `cms_template_files`
#

DROP TABLE IF EXISTS `cms_template_files`;
CREATE TABLE `cms_template_files` (
  `id` int(11) NOT NULL default '0',
  `template_id` int(11) NOT NULL default '0',
  `name` varchar(100) NOT NULL default '',
  `extension` varchar(10) NOT NULL default '',
  `size` int(11) NOT NULL default '0',
  `mtime` int(11) NOT NULL default '0',
  `content` mediumblob NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `cms_template_items`
#

DROP TABLE IF EXISTS `cms_template_items`;
CREATE TABLE `cms_template_items` (
  `id` int(11) NOT NULL default '0',
  `template_id` int(11) NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  `content` text NOT NULL,
  `main` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `template_id` (`template_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `cms_templates`
#

DROP TABLE IF EXISTS `cms_templates`;
CREATE TABLE `cms_templates` (
  `id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `root_folder_id` int(11) NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  `style` text NOT NULL,
  `additional_style` text NOT NULL,
  `restrict_editor` enum('0','1') NOT NULL default '0',
  `acl_read` int(11) NOT NULL default '0',
  `acl_write` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `user_id` (`user_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `db_sequence`
#

DROP TABLE IF EXISTS `db_sequence`;
CREATE TABLE `db_sequence` (
  `seq_name` char(20) NOT NULL default '',
  `nextid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`seq_name`),
  KEY `seq_name` (`seq_name`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `emAccounts`
#

DROP TABLE IF EXISTS `emAccounts`;
CREATE TABLE `emAccounts` (
  `id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `type` varchar(4) NOT NULL default '',
  `host` varchar(100) NOT NULL default '',
  `port` int(11) NOT NULL default '0',
  `username` varchar(50) NOT NULL default '',
  `password` varchar(64) NOT NULL default '',
  `name` varchar(100) NOT NULL default '',
  `email` varchar(100) NOT NULL default '',
  `signature` text NOT NULL,
  `standard` tinyint(4) NOT NULL default '0',
  `mbroot` varchar(30) NOT NULL default '',
  `sent` varchar(100) NOT NULL default '',
  `spam` varchar(100) NOT NULL default '',
  `trash` varchar(100) NOT NULL default '',
  `auto_check` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `id` (`id`),
  KEY `user_id` (`user_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `emFilters`
#

DROP TABLE IF EXISTS `emFilters`;
CREATE TABLE `emFilters` (
  `id` int(11) NOT NULL default '0',
  `account_id` int(11) NOT NULL default '0',
  `field` varchar(20) NOT NULL default '0',
  `keyword` varchar(100) NOT NULL default '0',
  `folder` varchar(100) NOT NULL default '0',
  `priority` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `emFolders`
#

DROP TABLE IF EXISTS `emFolders`;
CREATE TABLE `emFolders` (
  `id` int(11) NOT NULL default '0',
  `account_id` int(11) NOT NULL default '0',
  `name` varchar(100) NOT NULL default '',
  `subscribed` enum('0','1') NOT NULL default '0',
  `parent_id` int(11) NOT NULL default '0',
  `delimiter` char(1) NOT NULL default '',
  `attributes` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `id` (`id`),
  KEY `account_id` (`account_id`),
  KEY `parent_id` (`parent_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `filetypes`
#

DROP TABLE IF EXISTS `filetypes`;
CREATE TABLE `filetypes` (
  `extension` varchar(10) NOT NULL default '',
  `mime` varchar(50) NOT NULL default '',
  `friendly` varchar(50) NOT NULL default '',
  `image` blob NOT NULL,
  PRIMARY KEY  (`extension`),
  KEY `extension` (`extension`)
) TYPE=MyISAM COMMENT='filetypes';

# --------------------------------------------------------

#
# Table structure for table `fsShares`
#

DROP TABLE IF EXISTS `fsShares`;
CREATE TABLE `fsShares` (
  `user_id` int(11) NOT NULL default '0',
  `path` varchar(200) NOT NULL default '',
  `acl_read` int(11) NOT NULL default '0',
  `acl_write` int(11) NOT NULL default '0',
  PRIMARY KEY  (`path`),
  KEY `path` (`path`),
  KEY `user_id` (`user_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `groups`
#

DROP TABLE IF EXISTS `groups`;
CREATE TABLE `groups` (
  `id` int(11) NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  `user_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `modules`
#

DROP TABLE IF EXISTS `modules`;
CREATE TABLE `modules` (
  `id` varchar(20) NOT NULL default '',
  `path` varchar(50) NOT NULL default '',
  `acl_read` int(11) NOT NULL default '0',
  `acl_write` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `no_catagories`
#

DROP TABLE IF EXISTS `no_catagories`;
CREATE TABLE `no_catagories` (
  `id` int(11) NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `no_notes`
#

DROP TABLE IF EXISTS `no_notes`;
CREATE TABLE `no_notes` (
  `id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `contact_id` int(11) NOT NULL default '0',
  `project_id` int(11) NOT NULL default '0',
  `file_path` varchar(255) NOT NULL default '0',
  `catagory_id` int(11) NOT NULL default '0',
  `res_user_id` int(11) NOT NULL default '0',
  `due_date` int(11) NOT NULL default '0',
  `ctime` int(11) NOT NULL default '0',
  `mtime` int(11) NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  `content` text NOT NULL,
  `acl_read` int(11) NOT NULL default '0',
  `acl_write` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `user_id` (`user_id`,`contact_id`,`project_id`),
  KEY `file_path` (`file_path`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `pmFees`
#

DROP TABLE IF EXISTS `pmFees`;
CREATE TABLE `pmFees` (
  `id` int(11) NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  `value` float NOT NULL default '0',
  `time` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `pmHours`
#

DROP TABLE IF EXISTS `pmHours`;
CREATE TABLE `pmHours` (
  `id` int(11) NOT NULL default '0',
  `project_id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `start_time` int(11) NOT NULL default '0',
  `end_time` int(11) NOT NULL default '0',
  `break_time` int(11) NOT NULL default '0',
  `unit_value` int(11) NOT NULL default '0',
  `comments` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `pmMaterials`
#

DROP TABLE IF EXISTS `pmMaterials`;
CREATE TABLE `pmMaterials` (
  `id` int(11) NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  `value` double NOT NULL default '0',
  `description` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `pmProjects`
#

DROP TABLE IF EXISTS `pmProjects`;
CREATE TABLE `pmProjects` (
  `id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  `description` varchar(50) NOT NULL default '',
  `contact_id` int(11) NOT NULL default '0',
  `res_user_id` int(11) NOT NULL default '0',
  `acl_read` int(11) NOT NULL default '0',
  `acl_write` int(11) NOT NULL default '0',
  `comments` text NOT NULL,
  `ctime` int(11) NOT NULL default '0',
  `mtime` int(11) NOT NULL default '0',
  `start_date` int(11) NOT NULL default '0',
  `end_date` int(11) NOT NULL default '0',
  `status` tinyint(10) NOT NULL default '0',
  `probability` tinyint(4) NOT NULL default '0',
  `fee_id` int(11) NOT NULL default '0',
  `budget` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `id` (`id`),
  KEY `contact_id` (`contact_id`),
  KEY `user_id` (`user_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `pmTimers`
#

DROP TABLE IF EXISTS `pmTimers`;
CREATE TABLE `pmTimers` (
  `user_id` int(11) NOT NULL default '0',
  `start_time` int(11) NOT NULL default '0',
  `project_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`user_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `settings`
#

DROP TABLE IF EXISTS `settings`;
CREATE TABLE `settings` (
  `name` varchar(20) NOT NULL default '',
  `value` text NOT NULL,
  PRIMARY KEY  (`name`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `tp_mailing_companies`
#

DROP TABLE IF EXISTS `tp_mailing_companies`;
CREATE TABLE `tp_mailing_companies` (
  `group_id` int(11) NOT NULL default '0',
  `company_id` int(11) NOT NULL default '0',
  KEY `group_id` (`group_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `tp_mailing_contacts`
#

DROP TABLE IF EXISTS `tp_mailing_contacts`;
CREATE TABLE `tp_mailing_contacts` (
  `group_id` int(11) NOT NULL default '0',
  `contact_id` int(11) NOT NULL default '0',
  KEY `group_id` (`group_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `tp_mailing_groups`
#

DROP TABLE IF EXISTS `tp_mailing_groups`;
CREATE TABLE `tp_mailing_groups` (
  `id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `acl_read` int(11) NOT NULL default '0',
  `acl_write` int(11) NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `tp_subscribed`
#

DROP TABLE IF EXISTS `tp_subscribed`;
CREATE TABLE `tp_subscribed` (
  `user_id` int(11) NOT NULL default '0',
  `template_id` int(11) NOT NULL default '0',
  KEY `user_id` (`user_id`,`template_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `tp_templates`
#

DROP TABLE IF EXISTS `tp_templates`;
CREATE TABLE `tp_templates` (
  `id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `type` tinyint(4) NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  `content` longblob NOT NULL,
  `acl_read` int(11) NOT NULL default '0',
  `acl_write` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `users`
#

DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `id` int(11) NOT NULL default '0',
  `username` varchar(50) NOT NULL default '',
  `password` varchar(64) NOT NULL default '',
  `authcode` varchar(20) NOT NULL default '',
  `first_name` varchar(50) NOT NULL default '',
  `middle_name` varchar(50) NOT NULL default '',
  `last_name` varchar(50) NOT NULL default '',
  `initials` varchar(10) NOT NULL default '',
  `title` varchar(10) NOT NULL default '',
  `sex` enum('M','F') NOT NULL default 'M',
  `birthday` date NOT NULL default '0000-00-00',
  `email` varchar(100) NOT NULL default '',
  `company` varchar(50) NOT NULL default '',
  `department` varchar(50) NOT NULL default '',
  `function` varchar(50) NOT NULL default '',
  `home_phone` varchar(20) NOT NULL default '',
  `work_phone` varchar(20) NOT NULL default '',
  `fax` varchar(20) NOT NULL default '',
  `cellular` varchar(20) NOT NULL default '',
  `country` varchar(50) NOT NULL default '',
  `state` varchar(50) NOT NULL default '',
  `city` varchar(50) NOT NULL default '',
  `zip` varchar(10) NOT NULL default '',
  `address` varchar(100) NOT NULL default '',
  `homepage` varchar(100) NOT NULL default '',
  `work_address` varchar(100) NOT NULL default '',
  `work_zip` varchar(10) NOT NULL default '',
  `work_country` varchar(50) NOT NULL default '',
  `work_state` varchar(50) NOT NULL default '',
  `work_city` varchar(50) NOT NULL default '',
  `work_fax` varchar(20) NOT NULL default '',
  `acl_id` int(11) NOT NULL default '0',
  `date_format` varchar(20) NOT NULL default 'd-m-Y H:i',
  `time_format` varchar(10) NOT NULL default '',
  `thousands_seperator` char(1) NOT NULL default '.',
  `decimal_seperator` char(1) NOT NULL default ',',
  `currency` char(3) NOT NULL default '',
  `mail_client` tinyint(4) NOT NULL default '1',
  `logins` int(11) NOT NULL default '0',
  `lastlogin` int(11) NOT NULL default '0',
  `registration_time` int(11) NOT NULL default '0',
  `samba_user` enum('0','1') NOT NULL default '0',
  `max_rows_list` tinyint(4) NOT NULL default '15',
  `timezone` tinyint(4) NOT NULL default '0',
  `start_module` varchar(50) NOT NULL default '',
  `language` varchar(20) NOT NULL default '',
  `theme` varchar(20) NOT NULL default '',
  `first_weekday` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `users_groups`
#

DROP TABLE IF EXISTS `users_groups`;
CREATE TABLE `users_groups` (
  `group_id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  KEY `group_id` (`group_id`),
  KEY `user_id` (`user_id`)
) TYPE=MyISAM;
